module.exports = {
  "stories": [
    "../src/**/*.stories.mdx",
    "../src/**/*.stories.@(js|jsx|ts|tsx)"
  ],

  "addons": [
    "@storybook/addon-links",
    "@storybook/addon-essentials",
    "@storybook/addon-interactions",
    "@storybook/preset-create-react-app"
  ],

  "framework": {
    name: "@storybook/react-webpack5",
    options: {}
  },

  "core": {
    // 👈 Disables telemetry
    "disableTelemetry": true
  },

  docs: {
    autodocs: false
  },

  staticDirs: [
    "public"
  ],
}